## bottleneck 1.0.0+162

=== Makefile ===
# Bottleneck Makefile

PYTHON=python

srcdir := bottleneck/

help:
	@echo "Available tasks:"
	@echo "help    -->  This help page"
	@echo "all     -->  clean, build, flake8, test"
	@echo "build   -->  Build the Cython extension modules"
	@echo "clean   -->  Remove all the build files for a fresh start"
	@echo "test    -->  Run unit tests"
	@echo "flake8  -->  Check for pep8 errors"
	@echo "readme  -->  Update benchmark results in README.rst"
	@echo "coverage-->  Unit test coverage (doesn't check compiled functions)"
	@echo "bench   -->  Run performance benchmark"
	@echo "sdist   -->  Make source distribution"
	@echo "doc     -->  Build Sphinx manual"

all: clean build test flake8

build:
	${PYTHON} setup.py build_ext --inplace

test:
	${PYTHON} -c "import bottleneck;bottleneck.test()"

flake8:
	flake8 bottleneck

readme:
	PYTHONPATH=`pwd`:PYTHONPATH ${PYTHON} tools/update_readme.py

coverage:
	rm -rf .coverage
	${PYTHON} -c "import bottleneck; bottleneck.test(coverage=True)"

bench:
	${PYTHON} -c "import bottleneck; bottleneck.bench()"

sdist:
	rm -f MANIFEST
	${PYTHON} setup.py sdist
	git status

# doc directory exists so use phony
.PHONY: doc
doc:
	rm -rf build/sphinx
	${PYTHON} setup.py build_sphinx

clean:
	rm -rf build dist Bottleneck.egg-info
	find . -name \*.pyc -delete
	rm -rf ${srcdir}/*.c ${srcdir}/*.html ${srcdir}/build
	rm -rf ${srcdir}/*.so ${srcdir}/*.pyx

## bottleneck 1.0.0+162-g058502e

=== debian/changelog ===
bottleneck (1.0.0+162-g058502e-1) unstable; urgency=low

  * First release (closes: #706089)

 -- Pietro Battiston <me@pietrobattiston.it>  Tue, 24 May 2016 09:20:31 +0200

=== debian/control ===
Source: bottleneck
Maintainer: Pietro Battiston <me@pietrobattiston.it>
Section: python
Priority: optional
Build-Depends: dh-python, python-setuptools (>= 0.6b3), python3-setuptools,
               debhelper (>= 9),
               python-all, python-all-dev (>= 2.6.6-3),
               python3-all, python3-all-dev,
               python-numpy, python3-numpy,
               cython, cython3,
               python-sphinx | python3-sphinx
Standards-Version: 3.9.8
Homepage: http://berkeleyanalytics.com/bottleneck
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bottleneck.git
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/bottleneck.git

Package: python-bottleneck
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Enhances: python-pandas
Description: Fast NumPy array functions written in Cython - Python 2
 Bottleneck is a collection of fast NumPy array functions written in Cython.
 .
 Only arrays with data type (dtype) int32, int64, float32, and float64 are
 accelerated. All other dtypes result in calls to slower, unaccelerated
 functions.
 .
 This package contains the Python 2 version.

Package: python3-bottleneck
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Enhances: python3-pandas
Description: Fast NumPy array functions written in Cython - Python 3
 Bottleneck is a collection of fast NumPy array functions written in Cython.
 .
 Only arrays with data type (dtype) int32, int64, float32, and float64 are
 accelerated. All other dtypes result in calls to slower, unaccelerated
 functions.
 .
 This package contains the Python 3 version.

Package: python-bottleneck-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Fast NumPy array functions written in Cython - documentation
 Bottleneck is a collection of fast NumPy array functions written in Cython.
 .
 Only arrays with data type (dtype) int32, int64, float32, and float64 are
 accelerated. All other dtypes result in calls to slower, unaccelerated
 functions.
 .
 This package contains the documentation for bottleneck.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bottleneck

export DH_ALWAYS_EXCLUDE=LICENSE

export VER=$(shell dpkg-parsechangelog -S Version | rev | cut -d- -f2- | rev)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	http_proxy='127.0.0.1:9' python setup.py build_sphinx

override_dh_auto_install:
	dh_auto_install
	dh_numpy
	dh_installchangelogs RELEASE.rst

get-orig-source:
	git clone https://github.com/kwgoodman/bottleneck.git get-orig-source-foo-dir &&\
	cd get-orig-source-foo-dir  &&\
	git archive --format=tar --prefix=bottleneck-$(VER)/ $(VER) | xz -9 -c >../bottleneck_$(VER).orig.tar.xz
	rm -rf get-orig-source-foo-dir

## bottleneck 1.2.0

=== Makefile ===
# Bottleneck Makefile

PYTHON=python

srcdir := bottleneck/

help:
	@echo "Available tasks:"
	@echo "help    -->  This help page"
	@echo "all     -->  clean, build, flake8, test"
	@echo "build   -->  Build the Python C extensions"
	@echo "clean   -->  Remove all the build files for a fresh start"
	@echo "test    -->  Run unit tests"
	@echo "flake8  -->  Check for pep8 errors"
	@echo "readme  -->  Update benchmark results in README.rst"
	@echo "bench   -->  Run performance benchmark"
	@echo "detail  -->  Detailed benchmarks for all functions"
	@echo "sdist   -->  Make source distribution"
	@echo "doc     -->  Build Sphinx manual"

all: clean build test flake8

build:
	${PYTHON} setup.py build_ext --inplace

test:
	${PYTHON} -c "import bottleneck;bottleneck.test()"

flake8:
	flake8 --exclude=doc .

readme:
	PYTHONPATH=`pwd`:PYTHONPATH ${PYTHON} tools/update_readme.py

bench:
	${PYTHON} -c "import bottleneck; bottleneck.bench()"

detail:
	${PYTHON} -c "import bottleneck; bottleneck.bench_detailed('all')"

sdist:
	rm -f MANIFEST
	${PYTHON} setup.py sdist
	git status

# doc directory exists so use phony
.PHONY: doc
doc: clean build
	rm -rf build/sphinx
	${PYTHON} setup.py build_sphinx

clean:
	rm -rf build dist Bottleneck.egg-info
	find . -name \*.pyc -delete
	rm -rf ${srcdir}/*.html ${srcdir}/build
	rm -rf ${srcdir}/*.c
	rm -rf ${srcdir}/*.so

=== debian/changelog ===
bottleneck (1.2.0-6build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:13 +0000

bottleneck (1.2.0-6build1) artful; urgency=medium

  * Rebuild to add python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 12 May 2017 14:26:40 +0530

bottleneck (1.2.0-6) unstable; urgency=medium

  * Cherry-pick upstream fix for segfaults happening while running the tests.
    New patch 0003-Fix-segfault-caused-by-bad-refcount.patch (Closes: #856141)
  * Run autopkgtests for all supported Python versions

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 26 Feb 2017 13:58:26 +0000

bottleneck (1.2.0-5) unstable; urgency=medium

  [ Ghislain Antony Vaillant ]
  * Cherry-pick upstream fix for Numpy 1.12
    - New patch 0002-Fix-issue-with-relaxed-strides.patch

  [ Pietro Battiston ]
  * Added Ghislain Antony Vaillant as Uploader

 -- Pietro Battiston <me@pietrobattiston.it>  Tue, 31 Jan 2017 13:49:00 +0100

bottleneck (1.2.0-4) unstable; urgency=medium

  [ Ghislain Antony Vaillant ]
  * Fix normalization of version number (closes: #851520)

 -- Pietro Battiston <me@pietrobattiston.it>  Wed, 25 Jan 2017 13:24:12 +0100

bottleneck (1.2.0-3) unstable; urgency=medium

  [ Ghislain Antony Vaillant ]
  * Drop bypass of tests (closes: #851613)
  * Add allow-stderr restriction to autopkgtests

 -- Pietro Battiston <me@pietrobattiston.it>  Sun, 22 Jan 2017 10:13:44 +0100

bottleneck (1.2.0-2) unstable; urgency=low

  [ Ghislain Antony Vaillant ]
  * Enable tests during build
  * Add autopkgtest test suite
  * Bypass test failures temporarily to work around #851613
  * Clean build artefacts
  * Fix dh_python{2,3} / dh_numpy{,3} calls

  [ Pietro Battiston ]
  * Normalize version to valid format (closes: #851520)

 -- Pietro Battiston <me@pietrobattiston.it>  Wed, 18 Jan 2017 09:31:39 +0100

bottleneck (1.2.0-1) unstable; urgency=low

  * Imported Upstream version 1.2.0
    - Removed cython, no more used, from Build-Depends
    - Removed obsolete get-orig-source
  * debian/control: fixed "Vcs-Git" field

 -- Pietro Battiston <me@pietrobattiston.it>  Sun, 30 Oct 2016 01:50:21 +0200

=== debian/control ===
Source: bottleneck
Maintainer: Pietro Battiston <me@pietrobattiston.it>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: dh-python, python-setuptools (>= 0.6b3), python3-setuptools,
               debhelper (>= 9),
               python-all, python-all-dev (>= 2.6.6-3),
               python3-all, python3-all-dev,
               python-numpy, python3-numpy,
               python-sphinx | python3-sphinx,
               python-nose, python3-nose
Standards-Version: 3.9.8
Homepage: http://berkeleyanalytics.com/bottleneck
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bottleneck.git
Vcs-Git: git://anonscm.debian.org/collab-maint/bottleneck.git

Package: python-bottleneck
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Enhances: python-pandas
Description: Fast NumPy array functions written in C - Python 2
 Bottleneck is a collection of fast NumPy array functions written in C.
 .
 Only arrays with data type (dtype) int32, int64, float32, and float64 are
 accelerated. All other dtypes result in calls to slower, unaccelerated
 functions.
 .
 This package contains the Python 2 version.

Package: python3-bottleneck
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Enhances: python3-pandas
Description: Fast NumPy array functions written in C - Python 3
 Bottleneck is a collection of fast NumPy array functions written in C.
 .
 Only arrays with data type (dtype) int32, int64, float32, and float64 are
 accelerated. All other dtypes result in calls to slower, unaccelerated
 functions.
 .
 This package contains the Python 3 version.

Package: python-bottleneck-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Fast NumPy array functions written in C - documentation
 Bottleneck is a collection of fast NumPy array functions written in C.
 .
 Only arrays with data type (dtype) int32, int64, float32, and float64 are
 accelerated. All other dtypes result in calls to slower, unaccelerated
 functions.
 .
 This package contains the documentation for bottleneck.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bottleneck

export DH_ALWAYS_EXCLUDE=LICENSE

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	http_proxy='127.0.0.1:9' python setup.py build_sphinx

override_dh_auto_install:
	dh_auto_install
	dh_installchangelogs RELEASE.rst

override_dh_python2:
	dh_python2
	dh_numpy

override_dh_python3:
	dh_python3
	dh_numpy3

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -c "import bottleneck as bn; bn.test()"
 ; done
Depends: python-all, python-bottleneck, python-nose
Restrictions: allow-stderr

Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -c "import bottleneck as bn; bn.test()"
 ; done
Depends: python3-all, python3-bottleneck, python3-nose
Restrictions: allow-stderr

## bottleneck 1.2.1%2Bds1

=== debian/watch ===
version=4
opts=repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Bottleneck/Bottleneck@ANY_VERSION@@ARCHIVE_EXT@

## bottleneck 1.2.1+ds1

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	${PYTHON} -c "import bottleneck;bottleneck.test()"
 
 flake8:
-	flake8 --exclude=doc .
+	flake8 --exclude=doc,.tox .
 
 readme:
 	PYTHONPATH=`pwd`:PYTHONPATH ${PYTHON} tools/update_readme.py

=== debian/changelog ===
bottleneck (1.2.1+ds1-2) unstable; urgency=medium

  * Team upload.

  [ Dmitry Shachnev ]
  * debian/copyright: Use proper copyright sign (U+00A9, not U+24D2).

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 25 Aug 2019 11:44:51 +0500

bottleneck (1.2.1+ds1-1) unstable; urgency=medium

  * Team upload

  [ Ghislain Antony Vaillant ]
  * Update the gbp configuration
  * Filter the vendored copy of numpydoc (Closes: 896619)
  * Repack the upstream tarball
  * New upstream version 1.2.1+ds1
  * Drop the patch queue, applied upstream
  * Update copyright information
  * Run cme fix on control file
    - Overall reordering of fields
    - Drop superfluous versioning:
      - python-all-dev
      - python-setuptools
    - Wrap and sort dependencies
    - Use a secure Vcs-Git URI
  * Run cme fix on copyright file
    - Use a secure Format URI
  * Fix build of documentation
    - Build with Python 3
    - Clean the build artefacts
    - Add new dependency on numpydoc
    - Fix the extra license file override
    - New patch Enable-build-of-docs-with-Python-3.patch
  * Add missing Built-Using metadata
  * Add support for the nocheck build profile
  * Add support for the nodoc build profile
  * Add doc package to Suggests
  * Fixup install of upstream change log
  * Add missing hardening build option
  * Add missing DH_VERBOSE preamble
  * Normalize the package descriptions
  * Provide debug extension packages
  * Test the debug extension packages
  * Add recommended get-orig-source target
  * Bump the debhelper version to 10
  * Bump the standards version to 4.1.1
  * Add myself to the debianization copyright
  * Relicense debianization to upstream terms (Closes: 880679)
  * Transfer maintenance to the DPMT (Closes: 880678)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1

  [ Dmitry Shachnev ]
  * Add licensing information for move_median.c and move_template.c.
  * Use debhelper sequence for calling dh_numpy and dh_numpy3.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 01 Jul 2018 19:03:32 +0300

=== debian/control ===
Source: bottleneck
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Pietro Battiston <me@pietrobattiston.it>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all-dbg,
               python3-all-dev,
               python3-nose <!nocheck>,
               python3-numpy (>= 1:1.14.3-1~),
               python3-numpy-dbg,
               python3-numpydoc <!nodoc>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               sphinx-common
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/bottleneck
Vcs-Git: https://salsa.debian.org/python-team/modules/bottleneck.git
Homepage: http://berkeleyanalytics.com/bottleneck

Package: python3-bottleneck
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-bottleneck-doc <!nodoc>
Enhances: python3-pandas
Description: Fast NumPy array functions written in C (Python 3)
 Bottleneck is a collection of fast NumPy array functions written in C.
 .
 Only arrays with data type (dtype) int32, int64, float32, and float64 are
 accelerated. All other dtypes result in calls to slower, unaccelerated
 functions.
 .
 This package provides the modules for Python 3.

Package: python3-bottleneck-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-bottleneck (= ${binary:Version}),
         python3-numpy-dbg
Description: debug extensions for bottleneck (Python 3)
 Bottleneck is a collection of fast NumPy array functions written in C.
 .
 Only arrays with data type (dtype) int32, int64, float32, and float64 are
 accelerated. All other dtypes result in calls to slower, unaccelerated
 functions.
 .
 This package provides the debug extensions for Python 3.

Package: python-bottleneck-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for bottleneck
 Bottleneck is a collection of fast NumPy array functions written in C.
 .
 Only arrays with data type (dtype) int32, int64, float32, and float64 are
 accelerated. All other dtypes result in calls to slower, unaccelerated
 functions.
 .
 This package provides the documentation for bottleneck.
Build-Profiles: <!nodoc>

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -c "import bottleneck as bn; bn.test()"
 ; echo "Testing with $py-dbg:"
 ; $py-dbg -c "import bottleneck as bn; bn.test()"
 ; done
Depends: python3-all,
         python3-all-dbg,
         python3-bottleneck,
         python3-bottleneck-dbg,
         python3-nose
Restrictions: allow-stderr

## bottleneck 1.3.2%2Bds1

=== debian/control ===
Source: bottleneck
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Pietro Battiston <me@pietrobattiston.it>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-setuptools,
Build-Depends-Indep: dh-sequence-sphinxdoc,
                     python3-numpydoc,
                     python3-sphinx,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/bottleneck
Vcs-Git: https://salsa.debian.org/python-team/packages/bottleneck.git
Homepage: https://github.com/pydata/bottleneck
Rules-Requires-Root: no

Package: python3-bottleneck
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-bottleneck-doc
Enhances: python3-pandas
Description: Fast NumPy array functions written in C (Python 3)
 Bottleneck is a collection of fast NumPy array functions written in C.
 .
 Only arrays with data type (dtype) int32, int64, float32, and float64 are
 accelerated. All other dtypes result in calls to slower, unaccelerated
 functions.
 .
 This package provides the modules for Python 3.

Package: python-bottleneck-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for bottleneck
 Bottleneck is a collection of fast NumPy array functions written in C.
 .
 Only arrays with data type (dtype) int32, int64, float32, and float64 are
 accelerated. All other dtypes result in calls to slower, unaccelerated
 functions.
 .
 This package provides the documentation for bottleneck.
Multi-Arch: foreign

## bottleneck 1.3.2+ds1

=== debian/changelog ===
bottleneck (1.3.2+ds1-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:48:01 +0000

bottleneck (1.3.2+ds1-2) unstable; urgency=medium

  * Team upload.
  * Fix test errors during arch-independent build

 -- Gordon Ball <gordon@chronitis.net>  Fri, 15 Oct 2021 20:03:20 +0000

bottleneck (1.3.2+ds1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove unnecessary get-orig-source-target.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-bottleneck-dbg: Add Multi-Arch: same.
    + python-bottleneck-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev and python3-numpy.

  [ Gordon Ball ]
  * Apply patch from Helmut Grohne to replace nodoc build profile with a
    proper arch/indep split (Closes: #982962)
  * Drop explicit debug symbols package (Closes: #994297)
  * Update homepage to https://github.com/pydata/bottleneck
  * New upstream version 1.3.2+ds1
  * Rebase (and drop) patches
  * Update test dependency nose -> pytest
  * Standards-Version: 4.6.0
  * Rules-Requires-Root: no
  * Patch documentation to drop unpackaged contributors sphinx extension,
    google analytics in html pages

 -- Gordon Ball <gordon@chronitis.net>  Fri, 15 Oct 2021 18:10:18 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=bottleneck

export DH_ALWAYS_EXCLUDE=LICENSE

%:
	dh $@ --with python3,numpy3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	find bottleneck -type f -name "*.so" -delete
	$(RM) -rf build/sphinx

override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
override_dh_auto_build-indep:
	python3 setup.py build_ext --inplace
	PYTHONPATH=. python3 setup.py build_sphinx

override_dh_auto_test-indep:

override_dh_installchangelogs:
	dh_installchangelogs RELEASE.rst

## bottleneck 1.3.5+ds1

=== debian/changelog ===
bottleneck (1.3.5+ds1-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:10:06 +0000

bottleneck (1.3.5+ds1-3) unstable; urgency=medium

  * Team Upload.
  * Use sphinx-build command instead of build_sphinx
    directive with setup.py (Closes: #1042641)
  * Add patch for extlinks to fix FTBFS with sphinx7.1

 -- Nilesh Patra <nilesh@debian.org>  Fri, 10 Nov 2023 00:40:14 +0530

bottleneck (1.3.5+ds1-2) unstable; urgency=medium

  * Team Upload.
  * Cherry-pick upstream patch to fix numpy
    1.24 FTBFS (Closes: #1028748)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 20 Jan 2023 02:20:34 +0530

bottleneck (1.3.5+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.5+ds1 (Closes: #1026636)
  * Drop old and unused lintian override
  * Use dh-sequence-*
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 25 Dec 2022 21:27:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
-               python3-numpy,
+               dh-sequence-numpy3,
                python3-pytest <!nocheck>,
                python3-setuptools,
 Build-Depends-Indep: dh-sequence-sphinxdoc,
                      python3-numpydoc,
                      python3-sphinx,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bottleneck
 Vcs-Git: https://salsa.debian.org/python-team/packages/bottleneck.git
 Homepage: https://github.com/pydata/bottleneck

## bottleneck 1.3.8+ds1

=== debian/changelog ===
bottleneck (1.3.8+ds1-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:04:27 +0100

bottleneck (1.3.8+ds1-1) unstable; urgency=medium

  * New upstream version 1.3.8 (Closes: #1070360).
  * Drop patch applied upstream.
  * Update d/copyright.
  * Enable Salsa CI.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 15 May 2024 19:50:47 +0100

## bottleneck 1.4.2%2Bds1

=== debian/changelog ===
bottleneck (1.4.2+ds1-2build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:09:11 +0000

bottleneck (1.4.2+ds1-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:50:48 +0000

bottleneck (1.4.2+ds1-2) unstable; urgency=medium

  * Team upload.
  * Add explicit dependency on python3-numpy

 -- Timo Röhling <roehling@debian.org>  Mon, 27 Jan 2025 15:03:40 +0100

bottleneck (1.4.2+ds1-1) unstable; urgency=medium

  * Team Upload
  * Fix watch file for new PyPi archive naming convention
  * New upstream version 1.4.2+ds1

 -- Alexandre Detiste <tchet@debian.org>  Mon, 06 Jan 2025 20:54:00 +0100

## bottleneck 1.4.2+ds1

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-numpy3,
                dh-sequence-python3,
                python3-all-dev,
-               dh-sequence-numpy3,
+	       python3-numpy,
                python3-pytest <!nocheck>,
                python3-setuptools,
 Build-Depends-Indep: dh-sequence-sphinxdoc,
                      python3-numpydoc,
                      python3-sphinx,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bottleneck
 Vcs-Git: https://salsa.debian.org/python-team/packages/bottleneck.git
 Homepage: https://github.com/pydata/bottleneck

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export DH_ALWAYS_EXCLUDE=LICENSE
 
 %:
-	dh $@ --with python3,numpy3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -21,10 +21,9 @@
 override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
 override_dh_auto_build-indep:
 	python3 setup.py build_ext --inplace
-	PYTHONPATH=. python3 setup.py build_sphinx
+	PYTHONPATH=. sphinx-build -N -bhtml doc/source/ build/sphinx/html
 
 override_dh_auto_test-indep:
 
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE.rst
-

=== debian/watch ===
version=4
opts=repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Bottleneck/[Bb]ottleneck@ANY_VERSION@@ARCHIVE_EXT@
